Slideshow - Feature #956

Run slideshow in new window
02/13/2015 06:45 AM - Luke Murphey

Status: Closed Start date: 02/13/2015
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 2.0

Description

Running a slideshow in a new window will solve several problems:

1. Allow hide chrome CSS to be applied instantly (no flashing from the content showing and then hiding)
2. Supports all views (not just those that use application.js, dashboard.js)

3. Can start the view in the app context, solving problems where the application.js and dashboard.js may not load correctly

because the view is being hosted in a different app

Subtasks:

Task # 957: Add basic slideshowing support Closed
Task # 958: Add stop button Closed
Task # 959: Add support for application.js/dashboard.js Closed
Task # 960: Add support for hide/show chrome Closed
Task # 961: Remove help panel for why some panels are shown and other not Closed
Task # 962: Add progress bar support Closed
Task # 963: Determine what happens when the window is manually closed Closed
Task # 964: Detect popup blocker Closed
Task # 965: Load views in native application Closed
Bug # 967: Error is generated when a show is stopped quickly Closed
Bug # 968: Stylesheet and progress bar do not load reliably Closed
History
#1 - 02/13/2015 07:23 AM - Luke Murphey
- Description updated
#2 - 02/13/2015 08:38 AM - Luke Murphey
Starting a show is currently broken because | need to allocate the window in startShow() and then start executeSlideshowCycle().
#3 - 02/15/2015 03:20 AM - Luke Murphey
The dashboards app doesn't load the progress indicator.
#4 - 02/16/2015 06:48 PM - Luke Murphey
The progress indicator math is incorrect too.
#5 - 02/16/2015 11:45 PM - Luke Murphey
- Status changed from New to Closed
